/*\
|*| ---------------------------------------------------------------------------
|*|	AV 9194-42 clocks. (This chip is supposed to be used with WD90C30.)
|*| ---------------------------------------------------------------------------
|*|
|*|	Copyright (c) 1995 by Steffen Seeger, [seeger@physik.tu-chemnitz.de]
|*|
|*|	This program is free software; you can redistribute it and/or modify
|*|	it under the terms of the GNU General Public License as published by
|*|	the Free Software Foundation; version 2, or any later version.
|*|
|*|	You should have received a copy of the GNU General Public License
|*|	along with this program; see the file COPYING.  If not, write to
|*|	the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
|*| ---------------------------------------------------------------------------
|*|	derived from the AV9194/AV90C64 docs by ICS
\*/

#include <linux/kernel.h>

#include <ggi/graphdev.h>
#include <ggi/kgi.h>

static struct kgi_clock clock =
{
	"Avasem",		/* manufacturer		*/
	"AV9194-42",		/* model		*/
	GM_ALL,			/* supported modes	*/
	0,			/* special capabilities	*/
	{ 0x7FFF, 0x7FFF },	/* maximum resolution	*/


	CLK_TYPE_FIXED,		/* fixed clock values	*/

	/*\
	|*|	The clock values. Note that they have to be in descending
	|*|	order and that there must be no repetitions.
	\*/

	{{
		80000000,	77250000,	75000000,	65000000,
		50000000,	50000000,	44900000,	40000000,
		36000000,	36000000,	32000000,	31500000,
		30000000,	28322000,	25175000,	0
	}}
};

/*\
|*|	Driving CS[0:3] to index[i] selects clock.clock.freq[i].
\*/

static unsigned char index[MAX_FIXED_CLOCKS] =
{	0x03, 0x01, 0x06, 0x0E,
	0x09, 0x07, 0x0B, 0x08,
	0x0F, 0x05, 0x0A, 0x04,
	0x00, 0x0D, 0x0C, 0xFF
};

static inline int
clock_init (void)
{
  /* no detection possible */
  return EOK;
}

static inline void
clock_done(void)
{
}

#include "fixed.inc"
