/*\
|*| ---------------------------------------------------------------------------
|*|	generic VGA fixed clocks
|*| ---------------------------------------------------------------------------
|*|
|*|	Copyright (c) 1995 by Todd Fries, [todd@miango.com]
|*|
|*|	This program is free software; you can redistribute it and/or modify
|*|	it under the terms of the GNU General Public License as published by
|*|	the Free Software Foundation; version 2, or any later version.
|*|
|*|	You should have received a copy of the GNU General Public License
|*|	along with this program; see the file COPYING.  If not, write to
|*|	the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
|*| ---------------------------------------------------------------------------
\*/

#include <linux/kernel.h>

#include <ggi/graphdev.h>
#include <ggi/kgi.h>

static struct kgi_clock clock =
{
	"Trident",		/* manufacturer		*/
	"8900cl",			/* model		*/
	GM_ALL,			/* supported modes	*/
	0,			/* special capabilities	*/
	{ 0x7FFF, 0x7FFF },	/* maximum resolution	*/


	CLK_TYPE_FIXED,		/* fixed clock values	*/

	/*\
	|*|	The clock values. Note that they have to be in descending
	|*|	order and that there must be no repetitions.
	\*/

	{{
           118800000, 108000000,  98000000,  88000000,
	    80000000,  77000000,  75000000,  72000000,
	    65000000,  57272000,  50350000,  44900000,
  	    40000000,  36000000,  28322000,  25175000
	}}
};

/*\
|*|	Driving CS[0:3] to index[i] selects clock.clock.freq[i].
\*/

static unsigned char index[MAX_FIXED_CLOCKS] =
{	0x0f, 0x0e, 0x0d, 0x0c,
	0x0b, 0x0a, 0x09, 0x08,
	0x07, 0x06, 0x05, 0x04,
	0x03, 0x02, 0x01, 0x00
};

static inline int
clock_init (void)
{
  /* no detection, the chipset driver does it. */
  return EOK;
}

static inline void
clock_done(void)
{
}

#include "fixed.inc"
